InStream.UncompressedStream (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class InStream.UncompressedStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.orc.impl.InStream
    - - org.apache.orc.impl.InStream.UncompressedStream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    InStream.EncryptedStream
  Enclosing class:
    InStream

      public static class InStream.UncompressedStream
      extends InStream

  Implements a stream over an uncompressed stream.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.orc.impl.InStream

      `InStream.EncryptedStream, InStream.StreamOptions, InStream.UncompressedStream`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `currentOffset`
    `protected DiskRangeList` | `currentRange`
    `protected ByteBuffer` | `decrypted`

    - ### Fields inherited from class org.apache.orc.impl.InStream

      `bytes, length, name, offset, position, PROTOBUF_MESSAGE_MAX_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncompressedStream(Object name, DiskRangeList input, long offset, long length)`
    `UncompressedStream(Object name, long offset, long length)` Create the stream without calling reset on it.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `changeIv(Consumer<byte[]> modifier)`
    `void` | `close()`
    `int` | `read()`
    `int` | `read(byte[] data, int offset, int length)`
    `void` | `seek(long desired)`
    `void` | `seek(PositionProvider index)`
    `protected void` | `setCurrent(DiskRangeList newRange, boolean isJump)` Set the current range
    `String` | `toString()`

    - ### Methods inherited from class org.apache.orc.impl.InStream

      `create, create, createCodedInputStream, options, reset`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### decrypted

          protected ByteBuffer decrypted

    - #### currentRange

          protected DiskRangeList currentRange

    - #### currentOffset

          protected long currentOffset

  - ### Constructor Detail

    - #### UncompressedStream

          public UncompressedStream(Object name,
                                    long offset,
                                    long length)

      Create the stream without calling reset on it. This is used for the subclass that needs to do more setup.
      Parameters:
        `name` - name of the stream
        `length` - the number of bytes for the stream

    - #### UncompressedStream

          public UncompressedStream(Object name,
                                    DiskRangeList input,
                                    long offset,
                                    long length)

  - ### Method Detail

    - #### read

          public int read()

      Specified by:
        `read` in class `InputStream`

    - #### setCurrent

          protected void setCurrent(DiskRangeList newRange,
                                    boolean isJump)

      Description copied from class: `InStream`
      Set the current range
      Specified by:
        `setCurrent` in class `InStream`
      Parameters:
        `newRange` - the block that is current
        `isJump` - if this was a seek instead of a natural read

    - #### read

          public int read(byte[] data,
                          int offset,
                          int length)

      Overrides:
        `read` in class `InputStream`

    - #### available

          public int available()

      Overrides:
        `available` in class `InputStream`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `InStream`

    - #### changeIv

          public void changeIv(Consumer<byte[]> modifier)

      Specified by:
        `changeIv` in class `InStream`

    - #### seek

          public void seek(PositionProvider index)
                    throws IOException

      Specified by:
        `seek` in class `InStream`
      Throws:
        `IOException`

    - #### seek

          public void seek(long desired)
                    throws IOException

      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `InStream`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.